aboutsummaryrefslogtreecommitdiffstats
path: root/testing/platformio/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-11-03 19:39:10 +0100
committerNatanael Copa <ncopa@alpinelinux.org>2017-01-13 15:51:28 +0100
commit333b4490af22ea23603bd96e2357f9c92740f779 (patch)
treee46f4702f17d6ad74abe30d1403ed7192ed5a4e6 /testing/platformio/APKBUILD
parent4bdf5676406676b0d1d50cd62efc372b776decab (diff)
downloadaports-333b4490af22ea23603bd96e2357f9c92740f779.tar.gz
aports-333b4490af22ea23603bd96e2357f9c92740f779.tar.bz2
aports-333b4490af22ea23603bd96e2357f9c92740f779.tar.xz
testing/platformio: new aport
Diffstat (limited to 'testing/platformio/APKBUILD')
-rw-r--r--testing/platformio/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/platformio/APKBUILD b/testing/platformio/APKBUILD
new file mode 100644
index 0000000000..f6a422ef9f
--- /dev/null
+++ b/testing/platformio/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer:
+pkgname=platformio
+pkgver=3.1.0
+pkgrel=0
+pkgdesc="An open source ecosystem for IoT development"
+url="http://platformio.org"
+arch="all"
+license="ASL 2.0"
+depends="python py-bottle py-click5 py-lockfile py-serial
+ py-requests py-colorama py-semanticversion"
+makedepends="python-dev py-setuptools"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python setup.py install --prefix=/usr \
+ --root="$pkgdir" || return 1
+
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+ install -m644 CONTRIBUTING.md README.rst HISTORY.rst \
+ "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+}
+
+md5sums="ff7a342dacdf212d77b85e5ed277baf8 platformio-3.1.0.tar.gz"
+sha256sums="80b22f4322904648ea4b355935ea9315cfd765c3286022b54b75227e1be03d83 platformio-3.1.0.tar.gz"
+sha512sums="12469a5e9765817d5203577235a8d7a12d8b9fd21281d18507d4d4229f1f1852650436136c0a60073f01e76d2d51813e1448e3a8e73bbd956ab7c8520cc21657 platformio-3.1.0.tar.gz"